<?xml version="1.0" encoding="utf-8" ?>
<ArrayOfAction xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <Action xsi:type="UpgradeDatabaseAction" />
  <Action xsi:type="UpgradeConfigurationAction" />

  <Action xsi:type="UpgradeBlobStorageAction" onlyForEnvironments="AZURE,ONPREM,ONPREM2016" UpgradeTranslations="true" UpgradeTemplates="true" UpgradeConfiguration="true" UpgradePartnerSources="true">
    <Files>
      <File maxAge="43200">/Base/Bundles/AdminScripts.min.js</File>
      <File maxAge="43200">/Base/Bundles/Scripts.min.js</File>
      <File maxAge="43200">/Base/Bundles/App.js</File>
      <File maxAge="43200">/Base/Bundles/App.Admin.js</File>
      <File maxAge="43200">/Base/Bundles/App.Editmode.js</File>

      <File maxAge="43200">/Base/Bundles/AdminStyles.css</File>
      <File maxAge="43200">/Base/Bundles/StylesBootstrapNoWrapped.css</File>
      <File maxAge="43200">/Base/Bundles/StylesBootstrap.css</File>
      <File maxAge="43200">/Base/Bundles/Styles.css</File>
      <File maxAge="43200">/Base/Bundles/StylesModules.css</File>
      <File maxAge="43200">/Base/Bundles/EndUserStyles.css</File>

      <File maxAge="43200">/Base/Bundles/AdminStyles.min.css</File>
      <File maxAge="43200">/Base/Bundles/StylesBootstrapNoWrapped.min.css</File>
      <File maxAge="43200">/Base/Bundles/StylesBootstrap.min.css</File>
      <File maxAge="43200">/Base/Bundles/Styles.min.css</File>
      <File maxAge="43200">/Base/Bundles/StylesModules.min.css</File>
      <File maxAge="43200">/Base/Bundles/EndUserStyles.min.css</File>

      <File maxAge="43200">/Base/Images/1x1.png</File>
      <File maxAge="43200">/Base/Images/Group.png</File>
      <File maxAge="43200">/Base/Images/ProfilePictureMissing.png</File>

      <File maxAge="43200">/Modules/LightningPages/Content/Icons/Icon-120.png</File>
      <File maxAge="43200">/Modules/LightningPages/Content/Icons/Icon-144.png</File>
      <File maxAge="43200">/Modules/LightningPages/Content/Icons/Icon-152.png</File>
      <File maxAge="43200">/Modules/LightningPages/Content/Icons/Icon-167.png</File>
      <File maxAge="43200">/Modules/LightningPages/Content/Icons/Icon-180.png</File>
      <File maxAge="43200">/Modules/LightningPages/Content/Icons/Icon-192.png</File>
      <File maxAge="43200">/Modules/LightningPages/Content/Icons/Icon-48.png</File>
      <File maxAge="43200">/Modules/LightningPages/Content/Icons/Icon-72.png</File>
      <File maxAge="43200">/Modules/LightningPages/Content/Icons/Icon-96.png</File>

      
    </Files>
    <Folders>
    </Folders>
  </Action>
   
  <Action xsi:type="UninstallWebpartAction"  WebpartName="CorporateNewsCarousel.webpart" />
  <Action xsi:type="UninstallWebpartAction"  WebpartName="CorporateNewsCarousel5.webpart" />
  <Action xsi:type="UninstallWebpartAction"  WebpartName="CorporateNewsLatest.webpart" />
  <Action xsi:type="UninstallWebpartAction"  WebpartName="CorporateNewsLatestGallery.webpart" />
  <Action xsi:type="UninstallWebpartAction"  WebpartName="CorporateNewsRotator.webpart" />
  <Action xsi:type="UninstallWebpartAction"  WebpartName="CorporateNewsSlider.webpart" />
  <Action xsi:type="UninstallWebpartAction"  WebpartName="RevisionSearchByPerson.webpart" />

  <Action xsi:type="AddCourseManagementLocationGuidingText" />  
  
  <Action xsi:type="UpgradeSitecollectionsActionV2" onlyForEnvironments="AZURE,ONPREM,ONPREM2016" />
  <Action xsi:type="UpgradeSitecollectionsPartnerModulesAction" onlyForEnvironments="AZURE,ONPREM,ONPREM2016" />
  <Action xsi:type="ClearCacheAction" />
</ArrayOfAction>